using System.Collections.Generic;
namespace KinectLibrary.DTWGestureRecognition
{
    public interface IGestureRecognition
    {
        void StartRecording();
        void StopRecording();

        void AnalyzeFrame(Frame currentFrame);

        void StartRecognizer();
        void StopRecognizer();

        bool Recording { get; }
        bool Recognizing { get; }
        int RecognitionFactor { set; }
        List<Gesture> Gestures { get; }
        bool IsGestureStreamSaturated { get; }
        int GestureStreamFrameCount { get; }

        void StoreGesture(Gesture gesture);

        bool SaveGesturesToFile(string path);
        bool LoadGesturesFromFile(string path);

        event GestureReady GestureRecognized;
        event GestureNotFound GestureNotFound;
        event GestureRecorded GestureRecorded;
    }

    public interface IGestureRecognitionDebug
    {
        double LatestPathCost { get; }
        long AccumulatedFrameCount { get; }
        double GestureCandidateDistance { get; }
    }
}