﻿using Microsoft.Kinect;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace KinectLibrary
{
    [Serializable]
    public class Frame
    {
        private readonly List<Hand> hands;
        private readonly List<Articulation> joints; 

        public Frame(IEnumerable<Hand> hands, IEnumerable<Articulation> joints)
        {
            this.hands = new List<Hand>(hands);
            this.joints = new List<Articulation>(joints);
        }

        public Frame()
        {
            hands = new List<Hand>(Hand.MaxHands);
            joints = new List<Articulation>(Articulation.MaxJoints);
        }

        private void InitalizeFingerList()
        {
            for (int i = hands.Count; i < Hand.MaxHands; i++)
                hands.Add(new Hand());
        }

        public List<Hand> Hands { get { return hands; } }
        public List<Articulation> Joints { get { return joints; } }
    }
}
